<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\TeilnehmerInfo\TeilnehmerDetails;

class TeilnehmerDetailsController extends \Kufer\KuferTools\Basis\TeilnehmerInfo\TeilnehmerDetails\TeilnehmerDetailsController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new TeilnehmerDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TeilnehmerDetailsPresenter($pUseCaseResponse);
  }

  
  protected function getToolId()
  {
    return TeilnehmerDetailsUseCase::getToolId();
  }
}